QGIS Application - Bug report #13655
Bad metadata in the debian repository
2015-10-22 11:33 AM - Lars Luthman

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Build/Install

Affected QGIS version:2.10.1 Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21690
Description

The file http://qgis.org/debian/dists/stable/Release contains the line
Suite: testing

even though it is in the 'stable’ directory, and it also has the line
Codename: jessie

where 'jessie’ has been 'stable’ since April. The packages associated with this dist all seem to have been built for stable/Jessie rather than
testing/Stretch, so | assume that it's only the Suite line that is incorrect.

This causes problems when you try to add the QGIS repository on a Debian stable/Jessie system, since you can't actually install any of
the packages from the repository without telling apt-get to allow 'testing' packages.

Similarly, http://qgis.org/debian/dists/oldstable/Release has the line
Suite: stable

which should probable be oldstable instead.

The same thing seems to have happened after the Debian Wheezy release 2 years ago (#8649)

History

#1 - 2015-10-22 11:56 AM - Jiirgen Fischer

- Assignee set to Jirgen Fischer
#2 - 2015-10-24 06:55 PM - Jiirgen Fischer

- Resolution set to fixed/implemented
- Status changed from Open to Closed
